Bug 979818 - Compress tarballs with xz
Compress tarballs with xz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 16:38 EDT by Ville Skyttä
Modified: 2016-01-31 20:58 EST (History)
5 users (show)

See Also:
Fixed In Version: kicad-2014.03.13-1.rev4744.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 18:08:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-06-30 16:38:49 EDT
Compressing the kicad, -doc, -libraries, and -walter-libraries tarballs with xz instead of bzip2 would save about 37 MB, see http://thread.gmane.org/gmane.linux.redhat.fedora.devel/181336
Comment 1 Alain Portal 2013-07-02 17:13:54 EDT
I use the same command line since at least 8 years to create tarballs (tar cvjf plop.tar.bz2 plop/), I know it by heart, I do not need to think. If you want me to change my habits, at least give me the solution (it seems you have), otherwise I will not make the effort.
Comment 2 Ville Skyttä 2013-07-02 17:33:14 EDT
tar cvJf plop.tar.xz plop/
Comment 3 Ville Skyttä 2013-07-02 17:46:01 EDT
BTW I'm not interested in any personal habits here, I'd just like to point out that if the commands for recreating the tarballs would be documented in the specfile (or even better, included as a separate runnable script) as noted in the packaging guidelines, nobody would have to remember them:
https://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
Comment 4 Alain Portal 2013-07-04 06:27:36 EDT
(In reply to Ville Skyttä from comment #2)
> tar cvJf plop.tar.xz plop/

I didn't think the fix was so easy... Sorry.
Comment 5 Fedora End Of Life 2013-09-16 10:19:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Fedora Admin XMLRPC Client 2014-03-04 14:00:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Jaromír Cápík 2014-03-12 15:59:29 EDT
Hi Ville.

I'm the new component owner. I wanted to update all the sources and compress them with xz, but unfortunately one of the sources cannot be pulled from the server and I need to report that and get some help. Hopefully I'll get the upstream response soon.

Will inform you about news.

Thanks for the report.

Regards,
Jaromir.
Comment 8 Jaromír Cápík 2014-03-13 18:08:14 EDT
Hi Ville.

I'm building the latest revisions of all kicad components right now. All the tarballs are compressed with the xz tool. So, considering this resolved and closing.

Regards,
Jaromir.

Note You need to log in before you can comment on or make changes to this bug.